Bug 626070 - SELinux is preventing /usr/bin/kgpg "read" access on /home/carl/.config/Trolltech.conf.
Summary: SELinux is preventing /usr/bin/kgpg "read" access on /home/carl/.config/...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 14
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:7c1181f53c7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-21 19:32 UTC by Carl G.
Modified: 2010-09-01 06:03 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.8.8-20.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-01 06:03:29 UTC


Attachments (Terms of Use)

Description Carl G. 2010-08-21 19:32:46 UTC
Summary:

SELinux is preventing /usr/bin/kgpg "read" access on
/home/carl/.config/Trolltech.conf.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by kgpg. It is not expected that this access is
required by kgpg and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                staff_u:staff_r:gpg_t:s0
Target Context                staff_u:object_r:config_home_t:s0
Target Objects                /home/carl/.config/Trolltech.conf [ file ]
Source                        kgpg
Source Path                   /usr/bin/kgpg
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           kdeutils-4.5.0-1.fc14
Target RPM Packages           
Policy RPM                    selinux-policy-3.8.8-14.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.35.2-9.fc14.x86_64 #1 SMP Tue
                              Aug 17 22:36:15 UTC 2010 x86_64 x86_64
Alert Count                   4
First Seen                    Sat 21 Aug 2010 03:03:02 PM EDT
Last Seen                     Sat 21 Aug 2010 03:07:06 PM EDT
Local ID                      bbb087b3-2a00-4e37-b34f-233cd48f2a4f
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1282417626.173:86): avc:  denied  { read } for  pid=5125 comm="kgpg" name="Trolltech.conf" dev=dm-4 ino=48234540 scontext=staff_u:staff_r:gpg_t:s0 tcontext=staff_u:object_r:config_home_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1282417626.173:86): avc:  denied  { open } for  pid=5125 comm="kgpg" name="Trolltech.conf" dev=dm-4 ino=48234540 scontext=staff_u:staff_r:gpg_t:s0 tcontext=staff_u:object_r:config_home_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1282417626.173:86): arch=c000003e syscall=2 success=yes exit=9 a0=1c64008 a1=80000 a2=1b6 a3=e8 items=0 ppid=5124 pid=5125 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=3 comm="kgpg" exe="/usr/bin/kgpg" subj=staff_u:staff_r:gpg_t:s0 key=(null)



Hash String generated from  catchall,kgpg,gpg_t,config_home_t,file,read
audit2allow suggests:

#============= gpg_t ==============
allow gpg_t config_home_t:file { read open };

Comment 1 Daniel Walsh 2010-08-23 18:06:48 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.8.8-18.fc14

Comment 2 Fedora Update System 2010-08-25 03:12:05 UTC
selinux-policy-3.8.8-20.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-20.fc14

Comment 3 Fedora Update System 2010-08-25 13:31:31 UTC
selinux-policy-3.8.8-20.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-20.fc14

Comment 4 Fedora Update System 2010-08-26 18:37:52 UTC
selinux-policy-3.8.8-20.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-20.fc14

Comment 5 Fedora Update System 2010-09-01 06:02:08 UTC
selinux-policy-3.8.8-20.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.